Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 457962 - sys-kernel/gentoo-source-3.6.11: lockd_init_net - kernel NULL pointer dereference
Summary: sys-kernel/gentoo-source-3.6.11: lockd_init_net - kernel NULL pointer derefer...
Status: RESOLVED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: The Gentoo Linux Hardened Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-17 13:31 UTC by Nicolas Sapa
Modified: 2013-04-25 14:09 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Sapa 2013-02-17 13:31:47 UTC
I got this bug with gentoo-source 3.6.11 with spl, zfs-kmod and zfs 9999 every time i try to /etc/init.d/nfs start:
[  336.669367] BUG: unable to handle kernel NULL pointer dereference at 000000000000001f
[  336.669968] IP: [<ffffffffa069e505>] lockd_init_net+0x35/0x90 [lockd]
[  336.669968] PGD 0 
[  336.669968] Oops: 0002 [#1] SMP 
[  336.669968] Modules linked in: lockd(+) sunrpc dns_resolver tun zfs(PO) zunicode(PO) zavl(PO) zcommon(PO) znvpair(PO) spl(O) zlib_deflate iTCO_wdt lpc_ich mfd_core coretemp kvm_intel kvm
[  336.669968] CPU 1 
[  336.669968] Pid: 2953, comm: modprobe Tainted: P           O 3.6.11-gentoo #5 System manufacturer System Product Name/P5QL-ASUS-SE
[  336.669968] RIP: 0010:[<ffffffffa069e505>]  [<ffffffffa069e505>] lockd_init_net+0x35/0x90 [lockd]
[  336.669968] RSP: 0018:ffff8801940ebd58  EFLAGS: 00010202
[  336.669968] RAX: 0000000000000027 RBX: 0000000000000007 RCX: 0000000000000000
[  336.669968] RDX: ffffffff81a6e000 RSI: 0000000000000000 RDI: 000000000000003f
[  336.669968] RBP: ffff8801940ebd68 R08: ffff88019fc952a0 R09: ffff8801958970c0
[  336.669968] R10: ffffffff8119adbb R11: 000000000000001a R12: ffff8801958970c0
[  336.669968] R13: ffffffff81a6d7c0 R14: ffff880196871680 R15: 0000000000000002
[  336.669968] FS:  00007fba29915700(0000) GS:ffff88019fc80000(0000) knlGS:0000000000000000
[  336.669968] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[  336.669968] CR2: 000000000000001f CR3: 0000000194e8f000 CR4: 00000000000407e0
[  336.669968] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[  336.669968] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[  336.669968] Process modprobe (pid: 2953, threadinfo ffff8801940ea000, task ffff88019692d3e0)
[  336.669968] Stack:
[  336.669968]  ffff8801911cdd80 0000000000000000 ffff8801940ebdb8 ffffffff814b7869
[  336.669968]  ffff8801940ebda8 ffff8801940e5007 ffff8801940e5000 ffffffffa06a5c20
[  336.669968]  ffff8801940ebdd8 ffffffff81a6d7c0 ffff8801911cdd80 0000000000000001
[  336.669968] Call Trace:
[  336.669968]  [<ffffffff814b7869>] ops_init+0x49/0x140
[  336.669968]  [<ffffffff814b7b53>] register_pernet_operations+0xf3/0x190
[  336.669968]  [<ffffffffa06ab000>] ? 0xffffffffa06aafff
[  336.669968]  [<ffffffff814b7c87>] register_pernet_subsys+0x27/0x40
[  336.669968]  [<ffffffffa06ab02f>] init_nlm+0x2f/0x47 [lockd]
[  336.669968]  [<ffffffff810001ba>] do_one_initcall+0x3a/0x160
[  336.669968]  [<ffffffff810923b4>] sys_init_module+0xa34/0x1bf0
[  336.669968]  [<ffffffff81090470>] ? get_modinfo.isra.35+0xc0/0xc0
[  336.669968]  [<ffffffff816460e2>] system_call_fastpath+0x16/0x1b
[  336.669968] Code: 05 e1 8e 00 00 48 8b 97 40 08 00 00 85 c0 74 63 3b 02 77 5f 83 e8 01 48 98 48 8b 5c c2 18 48 85 db 74 52 48 8d 43 20 48 8d 7b 38 <48> c7 43 18 00 41 00 00 48 c7 43 30 50 e3 69 a0 31 d2 31 f6 48 
[  336.669968] RIP  [<ffffffffa069e505>] lockd_init_net+0x35/0x90 [lockd]
[  336.669968]  RSP <ffff8801940ebd58>
[  336.669968] CR2: 000000000000001f
[  336.996030] ---[ end trace 4055c46593853608 ]---

Portage 2.1.11.50 (hardened/linux/amd64, gcc-4.6.3, glibc-2.15-r3, 3.6.11-gentoo x86_64)
=================================================================
System uname: Linux-3.6.11-gentoo-x86_64-Pentium-R-_Dual-Core_CPU_E6500_@_2.93GHz-with-gentoo-2.1
KiB Mem:     6115372 total,   1761292 free
KiB Swap:     996024 total,    996024 free
Timestamp of tree: Sat, 16 Feb 2013 23:45:01 +0000
ld GNU ld (GNU Binutils) 2.22
app-shells/bash:          4.2_p37
dev-lang/python:          2.7.3-r2, 3.2.3
dev-util/cmake:           2.8.9
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.69
sys-devel/automake:       1.10.3, 1.11.6
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.6 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=native"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://ftp.free.fr/mirrors/ftp.gentoo.org/ ftp://gentoo.imj.fr/pub/gentoo/ http://mirrors.linuxant.fr/distfiles.gentoo.org/ ftp://mirrors.linuxant.fr/distfiles.gentoo.org/ http://gentoo.modulix.net/gentoo/ ftp://mirror.ovh.net/gentoo-distfiles/ http://mirror.ovh.net/gentoo-distfiles/"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.fr.gentoo.org/gentoo-portage"
USE="acl acpi adns amd64 berkdb branding bzip2 caps cli cracklib crypt curl cxx dri fastcgi gdbm geoip gpm gzip hardened iconv idn ipv6 justify kerberos lm_sensors lzo mmx modules mudflap multilib ncurses nls nptl offensive openmp pam pax_kernel pcre readline session smp sse sse2 sse3 ssl tcpd unicode urandom xattr zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="fr en" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" QEMU_SOFTMMU_TARGETS="x86_64 alpha arm cris i386 lm32 m68k microblaze microblazeel mips mips64 mips64el mipsel or32 ppc ppc64 ppcemb s390x sh4 sh4eb sparc sparc64 unicore32 xtensa xtensaeb" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga nouveau nv r128 radeon savage sis tdfx trident vesa via vmware dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-02-17 17:55:02 UTC
> Portage 2.1.11.50 (hardened/linux/amd64, ...)

I think this is a hardened problem, re-assigning to them.
Comment 2 Richard Yao gentoo-dev 2013-02-17 17:56:08 UTC
I suggest that you use the keyworded ebuilds instead of the 9999 ebuilds. Yesterday, I committed sys-fs/zfs-kmod-0.6.0_rc14-r3 with a patch that resolved some issues that caused ZFS to build incorrectly on Gentoo Hardened. That patch has not yet been merged upstream, so your system likely suffers from the problem.

With that said, this bug occurs during module loading. I do not believe that ZFS is involved.
Comment 3 Richard Yao gentoo-dev 2013-02-17 19:02:22 UTC
The use of zfs here isn't relevant to the summary.
Comment 4 Nicolas Sapa 2013-02-17 20:11:29 UTC
This server is currently copying ~1Tb over the network to a local zfs volume.
I will retry with gentoo-sources-3.7.8 in a few day.
Comment 5 Nicolas Sapa 2013-02-19 17:11:52 UTC
Cannot reproduce with:
- sys-kernel/gentoo-sources-3.7.8
- sys-kernel/spl-0.6.0_rc14-r1
- sys-fs/zfs-kmod-0.6.0_rc14-r3 
- sys-fs/zfs-0.6.0_rc14-r1

I will retry with spl & zfs* in 9999.
Comment 6 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-04-25 14:09:06 UTC
Please reopen this bug if this happens with recent kernels; 3.6.11 will be unsupported soon because it will drop from the kernel.org homepage, since it is EOL.